القائمة

apiBookInboundAppointment

تعديليتطلب مفتاحًا

الوسائط

الاسمالنوعالوصف
dockIdString!مطلوب
shipmentIdString!مطلوب
startsAtDateTime!مطلوب

يُرجع

InboundShipmentView!

مثال

GraphQL
mutation ApiBookInboundAppointment($dockId: String!, $shipmentId: String!, $startsAt: DateTime!) {
  apiBookInboundAppointment(dockId: $dockId, shipmentId: $shipmentId, startsAt: $startsAt) {
    appointmentId
    arrivedAt
    cancelledAt
    closedAt
    createdAt
    damagedUnits
    dueAt
    expectedUnits
    facilityCode
    facilityId
    id
    inboundMode
    lateness
    note
    orderNo
    orderSliceId
    organizationId
    origin
    photoKeys
    receivedAt
    receivedUnits
    reference
    scheduledAt
    sellerName {
      ar
      en
      fr
      tn
    }
    sellerReference
    shopRepresentative
    sliceNo
    status
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"mutation ApiBookInboundAppointment($dockId: String!, $shipmentId: String!, $startsAt: DateTime!) { apiBookInboundAppointment(dockId: $dockId, shipmentId: $shipmentId, startsAt: $startsAt) { appointmentId arrivedAt cancelledAt closedAt createdAt damagedUnits dueAt expectedUnits facilityCode facilityId id inboundMode lateness note orderNo orderSliceId organizationId origin photoKeys receivedAt receivedUnits reference scheduledAt sellerName { ar en fr tn } sellerReference shopRepresentative sliceNo status } }"}'